Registries - List
List registries
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/registries?api-version=2025-09-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| Other Status Codes |
Error |
Examples
List registries with system created accounts.
Sample request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/registries?api-version=2025-09-01
Sample response
{
"value": [
{
"tags": {},
"location": "string",
"kind": "string",
"identity": {
"type": "SystemAssigned",
"principalId": "00000000-1111-2222-3333-444444444444",
"tenantId": "00000000-1111-2222-3333-444444444444",
"userAssignedIdentities": {
"string": {
"principalId": "00000000-1111-2222-3333-444444444444",
"clientId": "00000000-1111-2222-3333-444444444444"
}
}
},
"sku": {
"name": "string",
"tier": "Free",
"size": "string",
"family": "string",
"capacity": 1
},
"id": "string",
"name": "string",
"type": "string",
"properties": {
"regionDetails": [
{
"location": "string",
"storageAccountDetails": [
{
"systemCreatedStorageAccount": {
"storageAccountName": "string",
"storageAccountType": "string",
"storageAccountHnsEnabled": false,
"armResourceId": {
"resourceId": "string"
},
"allowBlobPublicAccess": false
}
}
],
"acrDetails": [
{
"systemCreatedAcrAccount": {
"acrAccountName": "string",
"acrAccountSku": "string",
"armResourceId": {
"resourceId": "string"
}
}
}
]
}
],
"intellectualPropertyPublisher": "string",
"publicNetworkAccess": "string",
"discoveryUrl": "string",
"managedResourceGroup": {
"resourceId": "string"
},
"mlFlowRegistryUri": "string",
"registryPrivateEndpointConnections": [
{
"id": "string",
"location": "string",
"properties": {
"provisioningState": "string",
"privateEndpoint": {
"id": "string",
"subnetArmId": "string"
},
"registryPrivateLinkServiceConnectionState": {
"status": "Approved",
"description": "string",
"actionsRequired": "string"
},
"groupIds": [
"string"
]
}
}
]
},
"systemData": {
"createdAt": "2020-01-01T12:34:56.999+00:40",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2020-01-01T12:34:56.999+00:40",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
],
"nextLink": "string"
}
Definitions
| Name | Description |
|---|---|
|
Acr |
Details of ACR account to be used for the Registry |
|
Arm |
ARM ResourceId of a resource |
|
created |
The type of identity that created the resource. |
|
Endpoint |
Connection status of the service consumer with the service provider |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Managed |
Details for managed resource group assigned identities. |
|
Managed |
Managed resource group settings |
|
Managed |
Managed service identity (system assigned and/or user assigned identities) |
|
Managed |
Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed). |
|
Private |
The PE network resource that is linked to this PE connection. |
|
Registry |
Private endpoint connection definition. |
|
Registry |
The connection state. |
|
Registry |
Details for each region the registry is in |
|
Registry |
|
|
Registry |
A paginated list of Registry entities. |
| Sku |
The resource model definition representing SKU |
|
Sku |
This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT. |
|
Storage |
Details of storage account to be used for the Registry |
|
System |
|
|
System |
|
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
User |
User assigned identity properties |
AcrDetails
Details of ACR account to be used for the Registry
| Name | Type | Description |
|---|---|---|
| systemCreatedAcrAccount |
Details of system created ACR account to be used for the Registry |
ArmResourceId
ARM ResourceId of a resource
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
Arm ResourceId is in the format "/subscriptions/{SubscriptionId}/resourceGroups/{ResourceGroupName}/providers/Microsoft.Storage/storageAccounts/{StorageAccountName}" or "/subscriptions/{SubscriptionId}/resourceGroups/{ResourceGroupName}/providers/Microsoft.ContainerRegistry/registries/{AcrName}" |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
EndpointServiceConnectionStatus
Connection status of the service consumer with the service provider
| Value | Description |
|---|---|
| Approved | |
| Pending | |
| Rejected | |
| Disconnected |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ManagedResourceGroupAssignedIdentities
Details for managed resource group assigned identities.
| Name | Type | Description |
|---|---|---|
| principalId |
string |
Identity principal Id |
ManagedResourceGroupSettings
Managed resource group settings
| Name | Type | Description |
|---|---|---|
| assignedIdentities |
List of assigned identities for the managed resource group |
ManagedServiceIdentity
Managed service identity (system assigned and/or user assigned identities)
| Name | Type | Description |
|---|---|---|
| principalId |
string (uuid) |
The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity. |
| tenantId |
string (uuid) |
The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity. |
| type |
Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed). |
|
| userAssignedIdentities |
<string,
User |
User-Assigned Identities |
ManagedServiceIdentityType
Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
| Value | Description |
|---|---|
| None | |
| SystemAssigned | |
| UserAssigned | |
| SystemAssigned,UserAssigned |
PrivateEndpointResource
The PE network resource that is linked to this PE connection.
| Name | Type | Description |
|---|---|---|
| id |
string |
The ARM identifier for Private Endpoint |
| subnetArmId |
string |
The subnetId that the private endpoint is connected to. |
RegistryPrivateEndpointConnection
Private endpoint connection definition.
| Name | Type | Description |
|---|---|---|
| id |
string |
This is the private endpoint connection name created on SRP Full resource id: /subscriptions/{subId}/resourceGroups/{rgName}/providers/Microsoft.MachineLearningServices/{resourceType}/{resourceName}/registryPrivateEndpointConnections/{peConnectionName} |
| location |
string |
Same as workspace location. |
| properties.groupIds |
string[] |
The group ids |
| properties.privateEndpoint |
The PE network resource that is linked to this PE connection. |
|
| properties.provisioningState |
string |
One of null, "Succeeded", "Provisioning", "Failed". While not approved, it's null. |
| properties.registryPrivateLinkServiceConnectionState |
The connection state. |
RegistryPrivateLinkServiceConnectionState
The connection state.
| Name | Type | Description |
|---|---|---|
| actionsRequired |
string |
Some RP chose "None". Other RPs use this for region expansion. |
| description |
string |
User-defined message that, per NRP doc, may be used for approval-related message. |
| status |
Connection status of the service consumer with the service provider |
RegistryRegionArmDetails
Details for each region the registry is in
| Name | Type | Description |
|---|---|---|
| acrDetails |
List of ACR accounts |
|
| location |
string |
The location where the registry exists |
| storageAccountDetails |
List of storage accounts |
RegistryTrackedResource
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| identity |
Managed service identity (system assigned and/or user assigned identities) |
|
| kind |
string |
Metadata used by portal/tooling/etc to render different UX experiences for resources of the same type. |
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties.discoveryUrl |
string |
Discovery URL for the Registry |
| properties.intellectualPropertyPublisher |
string |
IntellectualPropertyPublisher for the registry |
| properties.managedResourceGroup |
ResourceId of the managed RG if the registry has system created resources |
|
| properties.managedResourceGroupSettings |
Managed resource group specific settings |
|
| properties.mlFlowRegistryUri |
string |
MLFlow Registry URI for the Registry |
| properties.publicNetworkAccess |
string |
Is the Registry accessible from the internet? Possible values: "Enabled" or "Disabled" |
| properties.regionDetails |
Details of each region the registry is in |
|
| properties.registryPrivateEndpointConnections |
Private endpoint connections info used for pending connections in private link portal |
|
| sku |
Sku details required for ARM contract for Autoscaling. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
RegistryTrackedResourceArmPaginatedResult
A paginated list of Registry entities.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The link to the next page of Registry objects. If null, there are no additional pages. |
| value |
An array of objects of type Registry. |
Sku
The resource model definition representing SKU
| Name | Type | Description |
|---|---|---|
| capacity |
integer (int32) |
If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted. |
| family |
string |
If the service has different generations of hardware, for the same SKU, then that can be captured here. |
| name |
string |
The name of the SKU. Ex - P3. It is typically a letter+number code |
| size |
string |
The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code. |
| tier |
This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT. |
SkuTier
This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
| Value | Description |
|---|---|
| Free | |
| Basic | |
| Standard | |
| Premium |
StorageAccountDetails
Details of storage account to be used for the Registry
| Name | Type | Description |
|---|---|---|
| systemCreatedStorageAccount |
Details of system created storage account to be used for the registry |
SystemCreatedAcrAccount
| Name | Type | Description |
|---|---|---|
| acrAccountName |
string |
Name of the ACR account |
| acrAccountSku |
string |
SKU of the ACR account |
| armResourceId |
This is populated once the ACR account is created. |
SystemCreatedStorageAccount
| Name | Type | Description |
|---|---|---|
| allowBlobPublicAccess |
boolean |
Public blob access allowed |
| armResourceId |
This is populated once the storage account is created. |
|
| storageAccountHnsEnabled |
boolean |
HNS enabled for storage account |
| storageAccountName |
string |
Name of the storage account |
| storageAccountType |
string |
Allowed values: "Standard_LRS", "Standard_GRS", "Standard_RAGRS", "Standard_ZRS", "Standard_GZRS", "Standard_RAGZRS", "Premium_LRS", "Premium_ZRS" |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
UserAssignedIdentity
User assigned identity properties
| Name | Type | Description |
|---|---|---|
| clientId |
string (uuid) |
The client ID of the assigned identity. |
| principalId |
string (uuid) |
The principal ID of the assigned identity. |